import React from "react";
import { RoomMember } from "matrix-js-sdk/src/matrix";
import { E2EState } from "./E2EIcon";
interface IProps {
    member: RoomMember;
    showPresence?: boolean;
}
interface IState {
    isRoomEncrypted: boolean;
    e2eStatus?: E2EState;
}
export default class MemberTile extends React.Component<IProps, IState> {
    private userLastModifiedTime?;
    private memberLastModifiedTime?;
    static defaultProps: {
        showPresence: boolean;
    };
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onRoomStateEvents;
    private onUserTrustStatusChanged;
    private onDeviceVerificationChanged;
    private updateE2EStatus;
    shouldComponentUpdate(nextProps: IProps, nextState: IState): boolean;
    private onClick;
    private getDisplayName;
    private getPowerLabel;
    render(): React.ReactNode;
}
export {};
